Commits

Anthony LaTorre  committed 51bb3af Draft

add --pre to pip install due to build issues with pip versions >= 1.4. see http://stackoverflow.com/questions/18230956/could-not-find-a-version-that-satisfies-the-requirement-pytz.

  • Participants
  • Parent commits fb0f35d

Comments (0)

Files changed (1)

File shrinkwrap/install.py

             build_deps = []
         for dep in build_deps:
             build_dir = os.path.join(self.virtualenv, 'build', 'build_' + dep)
-            self.shell('pip install -b ' + build_dir + ' ' + dep)
+            self.shell('pip install -b ' + build_dir + ' --pre ' + dep)
 
         skip = getattr(self.distribution, 'shrinkwrap_skip', None)
         never_skip = bool(os.environ.get('SHRINKWRAP_NEVER_SKIP', False))